import 'package:flutter/widgets.dart';
import 'package:module_base/module_base.dart';
import 'package:library_icons/library_icons.dart';
import 'package:module_profile/extensions/profile/screens/profile.dart';

class Extension extends NavigationExtensionBase {
  @override
  String name = 'profile.home';

  @override
  List<String> get expandPoints => [
        'profile.account',
        'profile.general',
        'profile.additional',
      ];

  @override
  Widget get fragment => ProfileFragment();

  @override
  Icon get icon => Icon(LibraryIcons.account);

  @override
  int get priority => 0;

  @override
  String get title => 'Профиль';
}
